Bug 205435 - games/lwjgl: Update to 2.9.3
Summary: games/lwjgl: Update to 2.9.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks: 205436
  Show dependency treegraph
 
Reported: 2015-12-19 19:49 UTC by Ilia Skalozubov
Modified: 2015-12-28 21:57 UTC (History)
1 user (show)

See Also:


Attachments
The patch to update games/lwjgl port. (3.32 KB, patch)
2015-12-19 19:49 UTC, Ilia Skalozubov
vlad-fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilia Skalozubov 2015-12-19 19:49:15 UTC
Created attachment 164389 [details]
The patch to update games/lwjgl port.

Updates games/lwjgl to latest.
Change JAVA_VERSION to 1.7+.
Comment 1 VK freebsd_triage 2015-12-19 23:18:58 UTC
Comment on attachment 164389 [details]
The patch to update games/lwjgl port.

The port has no maintainer, implicit approval.
Comment 2 commit-hook freebsd_committer 2015-12-25 01:55:10 UTC
A commit references this bug:

Author: junovitch
Date: Fri Dec 25 01:54:58 UTC 2015
New revision: 404399
URL: https://svnweb.freebsd.org/changeset/ports/404399

Log:
  games/lwjgl: update 2.9.1 -> 2.9.3

  - Set JAVA_VERSION from 1.7 to 1.7+
  - Update a patch, fix other patch to be `make makepatch` compliant

  PR:		205435
  Submitted by:	Ilia Skalozubov <freebsd@skinc.ru>
  Approved by:	unmaintained

Changes:
  head/games/lwjgl/Makefile
  head/games/lwjgl/distinfo
  head/games/lwjgl/files/patch-build.xml
  head/games/lwjgl/files/patch-platform_build__bsd_ant__build.xml
Comment 3 Jason Unovitch freebsd_committer 2015-12-25 01:56:51 UTC
Ilia,
Thank you for your submission. Please consider taking over as maintainer for this port if it something you use regularly. If so, just let me know here and I'll follow up with another quick commit to set you as MAINTAINER.
Comment 4 Ilia Skalozubov 2015-12-28 21:55:01 UTC
Jason,
I agree to maintain this port.
Comment 5 commit-hook freebsd_committer 2015-12-28 21:57:13 UTC
A commit references this bug:

Author: junovitch
Date: Mon Dec 28 21:56:47 UTC 2015
New revision: 404696
URL: https://svnweb.freebsd.org/changeset/ports/404696

Log:
  games/lwjgl: pass maintainership to PR submitter

  PR:		205435
  Submitted by:	Ilia Skalozubov <freebsd@skinc.ru>

Changes:
  head/games/lwjgl/Makefile
Comment 6 Jason Unovitch freebsd_committer 2015-12-28 21:57:27 UTC
(In reply to Ilia Skalozubov from comment #4)
Done. Thank you!